local t = Def.ActorFrame{};

local sys_group=GetUserPref_Theme("ExGroupName");
local bg=GetGroupParameter(sys_group,"Extra"..GetEXFolderStage().."BackGround");
local fn=split("%.",bg);

if bg~="" and FILEMAN:DoesFileExist("/Songs/"..sys_group.."/"..bg)  then
	t[#t+1] = Def.ActorFrame{
		InitCommand=function(self)
			if string.lower(fn[#fn])~="lua" then self:Center(); end;
		end;
		LoadActor("/Songs/"..sys_group.."/"..bg);
	};
elseif bg~="" and FILEMAN:DoesFileExist("/AdditionalSongs/"..sys_group.."/"..bg) then
	t[#t+1] = Def.ActorFrame{
		InitCommand=function(self)
			if string.lower(fn[#fn])~="lua" then self:Center(); end;
		end;
		LoadActor("/AdditionalSongs/"..sys_group.."/"..bg);
	};
else
	t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenWithMenuElements background/bg_ze") .. {
		InitCommand=cmd(Center;zoomto,SCREEN_WIDTH+256,SCREEN_HEIGHT);
	};
	LoadActor("../ScreenWithMenuElements background/brk") .. {
		InitCommand=cmd(Center;scaletoclipped,SCREEN_WIDTH,SCREEN_HEIGHT);
		OnCommand=cmd(queuecommand,"Loop");
		LoopCommand=cmd(diffusealpha,0.5;linear,1;diffusealpha,1;linear,1;diffusealpha,0.5;queuecommand,"Loop");
	};
	LoadActor("../ScreenWithMenuElements background/bg_pink") .. {
		InitCommand=cmd(Center;scaletoclipped,SCREEN_WIDTH+1,SCREEN_HEIGHT);
	};
	};
end;

return t;